| GET | /RestApi/recycle-bin/items/count |
|---|
export class GetRecycleBinCountProxy
{
public TotalCount: number;
public constructor(init?: Partial<GetRecycleBinCountProxy>) { (Object as any).assign(this, init); }
}
export class GetRecycleBinCount implements IRecycleBinItemFilter
{
public TypeName: string;
public SearchText: string;
public constructor(init?: Partial<GetRecycleBinCount>) { (Object as any).assign(this, init); }
}
TypeScript GetRecycleBinCount DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/count HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"totalCount":0}